///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (c) 2000-2023 Ericsson Telecom AB                               //
//                                                                           //
// All rights reserved. This program and the accompanying materials          //
// are made available under the terms of the Eclipse Public License v2.0     //
// which accompanies this distribution, and is available at                  //
// https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html                                 //
///////////////////////////////////////////////////////////////////////////////
[MODULE_PARAMETERS]

tsp_EPTF_ExecCtrl_PullModelDsRestAPI_PerfTest_nofEGrps := 50;
tsp_EPTF_ExecCtrl_PullModelDsRestAPI_PerfTest_nofLgens := 8;
tsp_EPTF_ExecCtrl_PullModelDsRestAPI_PerfTest_maxStartUpTime := 2048.0;
tsp_ExecCtrl_DS_guiXmlName := "gui.xml"

EPTF_CLL_ExecCtrl_Definitions.tsp_ExecCtrl_manualControl := true

tsp_EPTF_ExecCtrl_timeFormat := HH_MM_SS

tsp_LGenBase_BustCalcMethod := cs;

tsp_EPTF_Base_maxWaitTime := 3.0;
tsp_debug_EPTF_ExecCtrl_Functions := true
tsp_debug_EPTF_ExecCtrlClient_Functions := false
tsp_EPTF_LGenBaseDebug := false
tsp_EPTF_LGenBaseDebugTraffic := false
tsp_EPTF_LGenBaseDebugTrafficVerbose := false
tsp_debug_QueueMgmt := false
tsp_debugVerbose_QueueMgmt := false
tsp_EPTF_Var_SyncInterval := 5.0
tsp_EPTF_LGenBase_CPS_minUpdateInterval := 1.0
tsp_EPTF_cpsUpdateInterval := 2.0


[LOGGING]
// do not use LOG_ALL, because may run out of disc quota
FileMask := TTCN_TESTCASE | TTCN_STATISTICS | TTCN_ERROR | TTCN_ACTION | TTCN_VERDICTOP | EXECUTOR | PARALLEL #  | TTCN_WARNING
//| DEBUG
ConsoleMask := TTCN_TESTCASE | TTCN_STATISTICS | TTCN_ERROR | TTCN_ACTION | TTCN_VERDICTOP # | TTCN_WARNING
LogFile := "%c@%h-%n-%r.log"
LogEventTypes := Yes
SourceInfoFormat := Stack
LogEntityName := Yes

[EXECUTE]
EPTF_ExecCtrl_PullModelDsRestAPI_PerfTest_Testcases.control

[EXTERNAL_COMMANDS]
EndTestCase := "storePerformanceResults.sh"

[MAIN_CONTROLLER]
KillTimer := 30.0

[TESTPORT_PARAMETERS]
*.EPTF_pinger.localPort := "0"
*.EPTF_guiPortIf.socket_debugging := "no"
*.EPTF_guiPortIf.server_mode := "NO"
*.EPTF_guiPortIf.halt_on_connection_reset := "NO"
*.EPTF_guiPortIf.packet_hdr_length_offset := "0"
*.EPTF_guiPortIf.packet_hdr_nr_bytes_in_length := "4"
*.EPTF_guiPortIf.packet_hdr_byte_order := "MSB"
*.EPTF_guiPortIf.use_connection_ASPs := "yes"
# EPTF CLL CLI TELNET interface
*.EPTF_CLI_TELNET_PCO.CTRL_PORTNUM := "34570"
*.EPTF_CLI_TELNET_PCO.CTRL_LOGIN_SKIPPED := "yes"
*.EPTF_CLI_TELNET_PCO.CTRL_USERNAME_CLIENT := "ttcn"
*.EPTF_CLI_TELNET_PCO.CTRL_PASSWORD_CLIENT := "ttcn"
*.EPTF_CLI_TELNET_PCO.CTRL_SERVER_PROMPT := "TTCN> "
*.EPTF_CLI_TELNET_PCO.CTRL_MODE := "server"
*.EPTF_CLI_displayTELNET_PCO.CTRL_PORTNUM := "34580"
*.EPTF_CLI_displayTELNET_PCO.CTRL_LOGIN_SKIPPED := "yes"
*.EPTF_CLI_displayTELNET_PCO.CTRL_USERNAME_CLIENT := "ttcn"
*.EPTF_CLI_displayTELNET_PCO.CTRL_PASSWORD_CLIENT := "ttcn"
*.EPTF_CLI_displayTELNET_PCO.CTRL_SERVER_PROMPT := "TTCN> "
*.EPTF_CLI_displayTELNET_PCO.CTRL_MODE := "server"
